Extending Qt Creator Manual | ReadOnlyFilesDialog

Extending Qt Creator Manual 4.5.2

# ReadOnlyFilesDialog Class

(Core::ReadOnlyFilesDialog)

- List of all members, including inherited members

## Public Types

enum | ReadOnlyResult { RO_Cancel, RO_OpenVCS, RO_MakeWritable, RO_SaveAs }

## Public Functions

| ReadOnlyFilesDialog(const QList<QString> &fileNames, QWidget *parent = 0)
| ReadOnlyFilesDialog(const QString &fileName, QWidget *parent = 0)
| ReadOnlyFilesDialog(IDocument *document, QWidget *parent = 0, bool displaySaveAs = false)
| ReadOnlyFilesDialog(const QList<IDocument *> &documents, QWidget *parent = 0)
| ~ReadOnlyFilesDialog()
int | exec()
void | setMessage(const QString &message)
void | setShowFailWarning(bool show, const QString &warning = QString())

## Member Type Documentation

### enum ReadOnlyFilesDialog::ReadOnlyResult

## Member Function Documentation

### ReadOnlyFilesDialog::ReadOnlyFilesDialog(const QList<QString> &fileNames, QWidget *parent = 0)

Default constructs an instance of ReadOnlyFilesDialog.

### ReadOnlyFilesDialog::ReadOnlyFilesDialog(const QString &fileName, QWidget *parent = 0)

Default constructs an instance of ReadOnlyFilesDialog.

### ReadOnlyFilesDialog::ReadOnlyFilesDialog(IDocument *document, QWidget *parent = 0, bool displaySaveAs = false)

Default constructs an instance of ReadOnlyFilesDialog.

### ReadOnlyFilesDialog::ReadOnlyFilesDialog(const QList<IDocument *> &documents, QWidget *parent = 0)

Default constructs an instance of ReadOnlyFilesDialog.

### ReadOnlyFilesDialog::~ReadOnlyFilesDialog()

Destroys the instance of ReadOnlyFilesDialog.

### int ReadOnlyFilesDialog::exec()

### void ReadOnlyFilesDialog::setMessage(const QString &message)

### void ReadOnlyFilesDialog::setShowFailWarning(bool show, const QString &warning = QString())